
.yaganime-myList-topLine {
    width: 100%;
    height: 2px;
    border: 2px solid transparent; /* Bordure transparente */
    position: relative;
}

.yaganime-myList-topLine::before {
    content: "";
    position: absolute;
    border-radius: 8px;
    top: -2px; /* Ajustez la valeur en fonction de l'épaisseur de la bordure */
    left: -2px; /* Ajustez la valeur en fonction de l'épaisseur de la bordure */
    right: -2px; /* Ajustez la valeur en fonction de l'épaisseur de la bordure */
    bottom: -2px; /* Ajustez la valeur en fonction de l'épaisseur de la bordure */
    background: rgb(81, 11, 107);
    background: linear-gradient(150deg,  rgba(103, 15, 33, 1)0%, rgba(81, 11, 107, 1) 100%);
    z-index: -1; /* Placez le pseudo-élément derrière le contenu principal */
}

.yaganime-myList-top {
    display: flex;
    justify-content: space-between;
}

.yaganime-myList-top-title,
 .yaganime-myList-top-numAnime {
    font-size: large;
}


/* !!!!!!! Pour les cartes !!!!!!!! */
.yaganime-general-card {
    border: solid 5px #510b6b;
    border-radius: 20px;
    background-color: white;
    font-size: 0.9em;
}

.yaganime-general-card-head {
    height: 15%;
    width: 100%;
}
.yaganime-general-card-head-like {
    border: solid 2px black;
    border-radius: 20px;
    font-size: 0.8em;
    width: 25%;
}

.yaganime-general-card-body {
    height: 280px;
    width: 150px;
}
.yaganime-general-card-body-img {
    width: fit-content;
    height: fit-content;
    border: solid 2px #510b6b;
    border-radius: 20px;
}

.yaganime-general-card-foot {
    height: 15%;
    width: 100%;
}

.yaganime-general-card-head-title {
    width: 100%;
    height: 100%;
    overflow: hidden;
    white-space: nowrap; /* Don't forget this one */
    text-overflow: ellipsis;
}

.yaganime-general-card-head-rank {
    width: 50%;
}

.yaganime-general-card-foot {
    border: solid 5px #670F21;
    border-radius: 20px;
    border-bottom: 0;
}

.yaganime-general-card-foot-btnList {
    border: none;
    background-color: white;
}

.yaganime-general-card-foot-list-item {
    padding: var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);
    color: var(--bs-dropdown-link-color);
    text-decoration: none;
}
.yaganime-general-card-foot-list-item:hover {
    background-color: #670F21;
    color: white;
}

.yaganime-general-card-supp {
    padding: 5px;
    background-color: red;
    color: #EDEBE4;
    cursor: pointer;
    font-weight: bold;
    font-size: 1em;
    border: none;
    box-shadow: 1px 1px 2px 0px #060611;
    transition: box-shadow 0.2s ease-in-out;
}

.yaganime-general-card-supp:hover {
    box-shadow: 2px 4px 5px 0px #060611;
}